| Home | Libraries | People | FAQ | More

## Struct template copy_constructible

boost::type_erasure::copy_constructible

## Synopsis

    // In header: <boost/type_erasure/builtin.hpp>

    template<typename T = _self>
    struct copy_constructible : public boost::mpl::vector< constructible< T(const T &)>, destructible< T > >
    {
    };

## Description

The copy_constructible concept allows objects to be copied and destroyed.

| Note
This concept is defined to match C++ 2003, [lib.copyconstructible]. It is not equivalent to the concept of the same name in C++11.